#
# bconds:
%bcond_with	home_etc    # enable HOME_ETC support
%bcond_without	ffmpeg      # disable ffmpeg

Summary:	Console audio player with simple ncurses interface
Summary(hu.UTF-8):	Konzolos audiólejátszó egyszerű ncurses felülettel
Summary(pl.UTF-8):	Konsolowy odtwarzacz audio z prostym interfejsem ncurses
Name:		moc
Version:	2.5.0
Release:	3
License:	GPL
Group:		Applications/Sound
Source0:	http://ftp.daper.net/pub/soft/moc/stable/%{name}-%{version}.tar.bz2
# Source0-md5:	18e3a979b67091bfee4b62217908c473
Patch0:		%{name}-home_etc.patch
Patch1:		ffmpeg3.patch
Patch2:		ffmpeg4.patch
URL:		http://moc.daper.net/
BuildRequires:	a52dec-libs-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel >= 0.4.9-4.20080822.1}
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	libao-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmpcdec-devel >= 1.2
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
BuildRequires:	taglib-devel >= 1.3.1
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_decoder_plugins	%{_libdir}/%{name}/decoder_plugins

%description
MOC is a console audio player with simple ncurses interface in
playmp3list style. It supports MP3, Ogg, FLAC, Musepack, Speex, WAV
and other less popular formats supported by libsndfile. It has all
functions one may expect from simple audio player. Now it supports net
streams (shoutcast, icecast, regular HTTP, FTP) also.

%description -l hu.UTF-8
MOC egy konzolos audió lejátszó egyszerű ncurses felülettel
playmp3list stílusban. MP3, Ogg, FLAC, Musepack, Speex, WAV és egyéb
kevésbé elterjedt formátumokat támogat a libsndfile segítségével.
Minden funkció megtalálható a programban, amelyet egy egyszerű audió
lejátszótól elvárható. A hálózati streameket (shoutcast, icecast,
általános HTTP, FTP) is támogatja.

%description -l pl.UTF-8
MOC to konsolowy odtwarzacz audio z prostym interfejsem budzącym
skojarzenia z playmp3list. Obsługuje formaty MP3, Ogg, FLAC, Musepack,
Speex, WAV oraz inne mniej popularne formaty wspierane przez
bibliotekę libsndfile. Ma wszystkie funkcje, których można spodziewać
się w prostym odtwarzaczu audio. Teraz także obsługuje strumienie
sieciowe (shoutcast, icecast, HTTP, FTP).

%package aac
Summary:	AAC decoder for MoC - Music on Console
Summary(hu.UTF-8):	AAC formátum támogatása MoC-hoz
Summary(pl.UTF-8):	Dekoder AAC dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description aac
This package contains the AAC decoder. After install you should reload
MOC player.

%description aac -l hu.UTF-8
Ez a csomag az AAC dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description aac -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu AAC. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package mp3
Summary:	MP3 decoder for MoC - Music on Console
Summary(hu.UTF-8):	MP3 formátum támogatása MoC-hoz
Summary(pl.UTF-8):	Dekoder MP3 dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description mp3
This package contains the MP3 decoder. After install you should reload
MOC player.

%description mp3 -l hu.UTF-8
Ez a csomag az MP3 dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description mp3 -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu MP3. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package musepack
Summary:	Musepack (MPC) decoder for MoC - Music on Console
Summary(hu.UTF-8):	Musepack (MPC) dekóder MoC-hoz
Summary(pl.UTF-8):	Dekoder Musepack (MPC) dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description musepack
This package contains the Musepack (MPC) decoder. After install you
should reload MOC player.

%description musepack -l hu.UTF-8
Ez a csomag a Musepack (MPC) dekódert tartalmazza. A telepítés után a
MOC lejátsztót újra kell indítani.

%description musepack -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu Musepack (MPC). Po
zainstalowaniu należy uruchomić ponownie MOC.

%package ogg
Summary:	Ogg decoder for MoC - Music on Console
Summary(hu.UTF-8):	Ogg dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder Ogg dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description ogg
This package contains the Ogg decoder. After install you should reload
MOC player.

%description ogg -l hu.UTF-8
Ez a csomag az Ogg dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description ogg -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu Ogg. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package flac
Summary:	FLAC decoder for MoC - Music on Console
Summary(hu.UTF-8):	FLAC dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder FLAC dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description flac
This package contains the FLAC decoder. After install you should
reload MOC player.

%description flac -l hu.UTF-8
Ez a csomag az FLAC dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description flac -l pl.UTF-8
Ten pakiet zawiera dekodowanie formatu FLAC. Po zainstalowaniu należy
uruchomić ponownie MOC.

%package ffmpeg
Summary:	ffmpeg decoder for MoC - Music on Console
Summary(hu.UTF-8):	ffmpeg dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder ffmpeg dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description ffmpeg
This package contains module to decode WMA (and others) files. After
install you should reload MOC player.

%description ffmpeg -l hu.UTF-8
Ez a csomag az ffmpeg dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description ffmpeg -l pl.UTF-8
Ten pakiet zawiera moduł dekodujący pliki w formacie WMA (i nie tylko)
Po zainstalowaniu należy uruchomić ponownie MOC.

%package sndfile
Summary:	Decoder of the sndfile formats for MoC - Music on Console
Summary(hu.UTF-8):	sndfile dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder plików WAV/AIFF
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description sndfile
This package contains the decoders of sndfile. After install you
should reload MOC player.

%description sndfile -l hu.UTF-8
Ez a csomag az sndfile dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description sndfile -l pl.UTF-8
Ten pakiet zapewnia dekodowanie plików WAV/AIFF. Po zainstalowaniu
należy uruchomić ponownie MOC.

%package speex
Summary:	Speex decoder for MoC - Music on Console
Summary(hu.UTF-8):	Speex dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder formatu Speex dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description speex
This package contains the Speex decoder. After install you should
reload MOC player.

%description speex -l hu.UTF-8
Ez a csomag az speex dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description speex -l pl.UTF-8
Ten pakiet zapewnia dekodowanie formatu Speex. Po zainstalowaniu
należy uruchomić ponownie MOC.

%package modplug
Summary:	ModPlug decoder for MoC - Music on Console
Summary(hu.UTF-8):	ModPlug dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder formatów ModPlug dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description modplug
This package contains the ModPlug decoder. After install you should
reload MOC player.

%description modplug -l hu.UTF-8
Ez a csomag az ModPlug dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description modplug -l pl.UTF-8
Ten pakiet zapewnia dekodowanie formatów ModPlug. Po zainstalowaniu
należy uruchomić ponownie MOC.

%package wavpack
Summary:	WavPack decoder for MoC - Music on Console
Summary(hu.UTF-8):	WavPack dekóder MOC-hoz
Summary(pl.UTF-8):	Dekoder formatu WavPack dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description wavpack
This package contains the WavPack decoder. After install you should
reload MOC player.

%description wavpack -l hu.UTF-8
Ez a csomag az WavPack dekódert tartalmazza. A telepítés után a MOC
lejátsztót újra kell indítani.

%description wavpack -l pl.UTF-8
Ten pakiet zapewnia dekodowanie formatu WavPack. Po zainstalowaniu
należy uruchomić ponownie MOC.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1
%patch2 -p1

rm -rf libltdl
%{__sed} -i -e '/SUBDIRS/ s/libltdl//' Makefile.am
%{__sed} -i -e '
	/LT_CONFIG_LTDL_DIR/d
	/LT_INIT/d
	/LTDL_INIT/d
	/AC_CONFIG_AUX_DIR/d
	/AC_CONFIG_MACRO_DIR/d
' configure.in

%build
CFLAGS="-I/usr/include/ncurses %{rpmcflags}"

%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_ffmpeg:--without-ffmpeg} \
	--disable-debug

%{__make} \
	LIBLTDL=-lltdl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_decoder_plugins}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO *.example
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/moc
%dir %{_libdir}/moc/decoder_plugins
%{_datadir}/%{name}
%{_mandir}/man1/mocp*

%files musepack
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmusepack_decoder.so*

%files flac
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libflac_decoder.so*

%if %{with ffmpeg}
%files ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libffmpeg_decoder.so
%endif

%files aac
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libaac_decoder.so*

%files mp3
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmp3_decoder.so*

%files ogg
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libvorbis_decoder.so*

%files sndfile
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libsndfile_decoder.so*

%files speex
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libspeex_decoder.so*

%files modplug
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmodplug_decoder.so*

%files wavpack
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libwavpack_decoder.so*
%changelog
* Sun Sep 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/moc.git;a=log;h=master

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> d9378fa
- flac rebuild

* Sun Apr 29 2018 Jan Rękorajski <baggins@pld-linux.org> 5fae7d1
- fix building with ffmpeg 4.0
- rel 2

* Fri Apr 01 2016 Jan Rękorajski <baggins@pld-linux.org> 7f6e055
- up to 2.5.0
- fixed build with ffmpeg 3

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 4fa38af
- x32 rebuild
- release 5 (by relup.sh)

* Fri Oct 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7447320
- release 4 (by relup.sh)

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> 3689b9a
- rebuild with ffmpeg 2.0.1

* Mon Feb 04 2013 Jan Rękorajski <baggins@pld-linux.org> bfba6a3
- rel 2

* Sun Nov 18 2012 Jan Rękorajski <baggins@pld-linux.org> 22542c2
- updated to 2.5.0-beta1
- disabled HOME_ETC support

* Thu Feb 02 2012 lisu <lisu@pld-linux.org> aadd565
- no more separated libtinfo(w)

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5aa814a
- release 10

* Tue Jan 03 2012 lisu <lisu@pld-linux.org> f7918b9
- rel 9

* Sun Sep 18 2011 Szymon Siwek <sls@pld-linux.org> 3154e65
- added ffmpeg071.patch

* Sun Sep 18 2011 Szymon Siwek <sls@pld-linux.org> 65a73fe
- patch from altlinux (http://git.altlinux.org/people/real/packages/moc.git?p=moc.git;a=patch;h=c8b7df0b53d53eb6c1724d49474b856b229acca4)

* Sun Sep 18 2011 Szymon Siwek <sls@pld-linux.org> 39297df
- added ffmpeg bcond

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ebcbdd1
- release 8

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d02a417
- release 7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c14f37
- release 6

* Sun Jul 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 58cdd50
- release 5

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cd8d962
- release 4

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 6729004
- unified first line (one with cvs keywords)

